//*********************************************
//*********************************************
//*********************************************
//********                             ********
//******  This script was made/modified  ******
//*****  for side-amp, by Michael McBriar *****
//*****   If you use any of this script   *****
//*****       please contact me and       *****
//*****     reference me in your skin.    *****
//******             Thanx.              ******
//********                             ********
//*********************************************
//*********************************************
//*********************************************

#include "../../../lib/std.mi"

Global Button popout, volup, voldown, balleft, balright, mode;
Global group topdrawer, thinger;
Global layer blarg;
Global text voltext, songticker;
Global timer voltimer, baltimer, wait;
Global string dir;
Global slider balance;

System.onScriptUnloading() {
delete voltimer;
delete baltimer;
delete wait;
}

System.onScriptLoaded() {
	topdrawer = getScriptGroup().findobject("player.top.drawer");
	popout = topdrawer.findObject("topdrawer.popout");
	voltext = topdrawer.findObject("voltext");
	songticker = topdrawer.findObject("songticker");
	volup = topdrawer.findObject("player.topdrawer.vol.up");
	voldown = topdrawer.findObject("player.topdrawer.vol.down");
	balleft = topdrawer.findObject("player.topdrawer.bal.left");
	balright = topdrawer.findObject("player.topdrawer.bal.right");
	balance = topdrawer.findObject("balance");
	mode = topdrawer.findObject("player.topdrawer.mode");
	blarg = topdrawer.findObject("player.topdrawer.blarg");
	thinger = topdrawer.findObject("player.topdrawer.thinger");
	thinger.hide();

	voltext.settext("VOLUME: " + integertostring(system.getvolume() / 255 * 100) + "%");

	voltimer = New Timer;
	voltimer.setDelay(100);
	baltimer = New Timer;
	baltimer.setDelay(80);
	wait = New Timer;
	wait.setDelay(6000);
}

popout.onleftbuttonup(int x, int y) {
  if(getprivateint("sideamp","topdrawer.popout",1)) {
	setprivateint("sideamp","topdrawer.popout",0);
	topdrawer.setTargetX(280);
	topdrawer.setTargetSpeed(1.7);
	topdrawer.gotoTarget();
  } else {
	setprivateint("sideamp","topdrawer.popout",1);
	topdrawer.setTargetX(47);
	topdrawer.setTargetSpeed(1.7);
	topdrawer.gotoTarget();
  }
}

// VOLUME

System.onVolumeChanged(int newvol) {
	voltext.settext("VOLUME: " + integertostring(newvol / 255 * 100) + "%");
}

volup.onleftbuttondown(int x, int y) {
	dir = "up";
	voltimer.start();
}
volup.onleftbuttonup(int x, int y) {
	voltimer.stop();
	voltext.settext("VOLUME: " + integertostring(newvol / 255 * 100) + "%");
}
voldown.onleftbuttondown(int x, int y) {
	dir = "down";
	voltimer.start();
}
voldown.onleftbuttonup(int x, int y) {
	voltimer.stop();
	voltext.settext("VOLUME: " + integertostring(newvol / 255 * 100) + "%");
}

voltimer.onTimer() {
  if(dir == "up") {
	volup.LeftClick();
  } else {
	voldown.LeftClick();
  }
	voltext.settext("VOLUME: " + integertostring(newvol / 255 * 100) + "%");
}



// BALANCE

balance.onPostedPosition(int newpos) {
  if (balance.getposition() <= 49) {
	songticker.settext("BAL: " + integertostring(100 - newpos * 100 / 49) + "% LEFT");
  } else if (balance.getposition() >= 51) {
	songticker.settext("BAL: " + integertostring(newpos * 100 / 48 - 106) + "% RIGHT");
  } else {
	songticker.settext("BALANCE: " + "CENTER");
  }
}

balleft.onleftbuttondown(int x, int y) {
	dir = "left";
	baltimer.start();
	debugstring("LEFT",9);
}
balleft.onleftbuttonup(int x, int y) {
	baltimer.stop();
	wait.start();
}
balright.onleftbuttondown(int x, int y) {
	dir = "right";
	baltimer.start();
	debugstring("RIGHT",9);
}
balright.onleftbuttonup(int x, int y) {
	baltimer.stop();
	wait.start();
}

baltimer.onTimer() {
  if(dir == "left") {
	balance.setPosition(balance.getPosition() - 0.5);
  } else {
	balance.setPosition(balance.getPosition() + 2);
  }
}

wait.onTimer() {
	wait.stop();
	songticker.settext("");
}



// MODE

mode.onLeftButtonUp(int x, int y) {
	blarg.setTargetA(255);
	blarg.setTargetSpeed(1);
	blarg.gototarget();
}

blarg.onTargetReached() {
 if(blarg.getAlpha() == 255) {
  if(songticker.isVisible()) {
	songticker.hide();
	thinger.show();
  } else {
	songticker.show();
	thinger.hide();
  }
	blarg.setTargetA(0);
	blarg.setTargetSpeed(1);
	blarg.gototarget();
 }
}